List functions
curl --request GET \
--url https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/faas/namespaces/{project_id}/{region_id}/{namespace_name}/functions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"autoscaling": {
"max_instances": 2,
"min_instances": 1
},
"build_message": "Building",
"build_status": "Building",
"code_text": "def main():\n return 'Hello World'",
"created_at": "2023-08-22T11:21:00Z",
"dependencies": "numpy==1.21.0\npandas==1.3.0",
"deploy_status": {
"deployed": 1
},
"description": "This is a sample function.",
"endpoint": "https://example.com/function-name",
"flavor": "64m-64MB",
"id": "c8a920ad-b5a4-47d5-b8b9-0e6c35cd800f",
"main_method": "run",
"name": "function-name",
"runtime": "python3.7.12",
"status": "Running",
"timeout": 5,
"enable_api_key": true,
"envs": {
"ENV_VAR": "value"
}
}
]
}Function as a Service
List functions
Retrieve a list of functions in the specified namespace. Includes function configuration and deployment status.
GET
/
cloud
/
v1
/
faas
/
namespaces
/
{project_id}
/
{region_id}
/
{namespace_name}
/
functions
List functions
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
1
Namespace name
Pattern:
^[a-z][-a-z0-9]{0,24}[a-z0-9]$Example:
"namespace-name"
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
1000
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Ordering fields and directions.
Available options:
created_at.asc, created_at.desc, name.asc, name.desc Example:
"created_at.desc"
Search through which value
Pattern:
^[-a-z0-9]{0,25}[-a-z0-9]$Example:
"search-value"
Was this page helpful?